org.apache.ignite.spi.communication.tcp.internal.shmem

## Class ShmemAcceptWorker

- java.lang.Object
- - org.apache.ignite.internal.util.worker.GridWorker
  - - org.apache.ignite.spi.communication.tcp.internal.shmem.ShmemAcceptWorker

All Implemented Interfaces:
  Runnable, WorkProgressDispatcher

    public class ShmemAcceptWorker
    extends GridWorker

This worker takes request created via shmem.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.util.worker.GridWorker

`isCancelled`

### Constructor Summary

Constructors
Constructor and Description
`ShmemAcceptWorker(String igniteInstanceName, GridNioServerListener<Message> srvLsnr, IpcSharedMemoryServerEndpoint srv, TcpCommunicationMetricsListener metricsLsnr, IgniteLogger log, MessageFactory msgFactory, GridNioMessageWriterFactory writerFactory, GridNioMessageReaderFactory readerFactory, Tracing tracing)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `body()` The implementation should provide the execution body for this runnable.
`void` `cancel()` Cancels this runnable interrupting actual runner.
`void` `metricsListener(@Nullable TcpCommunicationMetricsListener metricsLsnr)`

### Methods inherited from class org.apache.ignite.internal.util.worker.GridWorker

`blockingSectionBegin, blockingSectionEnd, cleanup, heartbeatTs, igniteInstanceName, isCancelled, isDone, join, name, onIdle, run, runner, toString, updateHeartbeat`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ShmemAcceptWorker

    public ShmemAcceptWorker(String igniteInstanceName,
                             GridNioServerListener<Message> srvLsnr,
                             IpcSharedMemoryServerEndpoint srv,
                             TcpCommunicationMetricsListener metricsLsnr,
                             IgniteLogger log,
                             MessageFactory msgFactory,
                             GridNioMessageWriterFactory writerFactory,
                             GridNioMessageReaderFactory readerFactory,
                             Tracing tracing)

Parameters:
  `igniteInstanceName` - Ignite instance name.
  `srvLsnr` - Server listener.
  `srv` - Server.
  `metricsLsnr` - Metrics listener.
  `log` - Logger.
  `msgFactory` - Message factory.
  `writerFactory` - Writer factory.
  `readerFactory` - Reader factory.
  `tracing` - Tracing.

### Method Detail

#### body

    protected void body()
                 throws InterruptedException

The implementation should provide the execution body for this runnable.

Specified by:
  `body` in class `GridWorker`
Throws:
  `InterruptedException` - Thrown in case of interruption.

#### cancel

    public void cancel()

Cancels this runnable interrupting actual runner.

Overrides:
  `cancel` in class `GridWorker`

#### metricsListener

    public void metricsListener(@Nullable
                                @Nullable TcpCommunicationMetricsListener metricsLsnr)

Parameters:
  `metricsLsnr` - New statistics.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021